Bug Hunting Session
Bug 99324 - Accelerator underlines dont show when pressing Alt (Sidebar, Dialogs, Start Center)
Summary: Accelerator underlines dont show when pressing Alt (Sidebar, Dialogs, Start C...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0
Keywords: needsDevEval, regression, topicUI
: 94422 99325 (view as bug list)
Depends on:
Blocks: Start-Center Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2016-04-15 13:32 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-24 16:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-04-15 13:32:16 UTC
With GTK+ auto-accelerator (bug 92630) now implemented, it hides the accelerators in the sidebar and pressing Alt doesnt show them.
Comment 1 Yousuf Philips (jay) (retired) 2016-04-15 13:33:56 UTC
*** Bug 99325 has been marked as a duplicate of this bug. ***
Comment 2 Cor Nouws 2016-04-15 22:09:32 UTC
The same applies to the Tools > Options dialog

Version: 5.2.0.0.alpha0+
Build ID: 0f27cc992a99568e46ffe807ef9dbb5ba0bc601f
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-04-12_23:49:16
Locale: nl-NL (nl_NL.UTF-8)
Comment 3 Yousuf Philips (jay) (retired) 2016-04-16 15:10:33 UTC
Seems it goes beyond just the Options dialog as it happens in the Hyperlink dialog as well. Seems the buttons that the bottom of these dialogs show the accelerator, but the labels within the dialog dont.

Did some more checking around and in some dialog tabs, Alt works fine, but in others they dont and it seems to depend on the type of control that is in focus when Alt is being pressed. For example open Tools > Customize and click on the Keyboard for Events tabs and Alt wont work unless you are on a drop down menu, radio button or regular button in that tab.
Comment 4 Yousuf Philips (jay) (retired) 2016-05-10 19:42:27 UTC
So the accelerator lines dont appear under letters in buttons in the start center as well.
Comment 5 Cor Nouws 2016-05-20 15:21:54 UTC
*** Bug 94422 has been marked as a duplicate of this bug. ***
Comment 6 Commit Notification 2016-07-29 14:27:22 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a32c0828f6f73710d5473bc1cb093519a2a31133

Related: tdf#99324 accel underlines don't appear in options dialog

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-07-29 14:29:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb01247f71a46fb7cae18b51516096adfd059bbc

Related: tdf#99324 accel underlines don't appear in hyperlink dialog

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-07-29 16:22:27 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1203bf57dea230cd6de7bb5fe359d8fcd3e033dc

Related: tdf#99324 get backingwindow to honour auto mnemonic on mod key change

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-07-31 20:34:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df0baf4b00a84669997c2105b63d96f0865bfb3b

Related: tdf#99324 let panels assign auto mnemonics

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-08-02 09:23:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0321dbb9be72f92c02919457cdc3c4e76cfbd11d

Resolves: tdf#99324 let sidebar toggle auto-mnemonics on/off with alt

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Caolán McNamara 2016-08-02 09:24:34 UTC
This should work for the general case now I believe. There may be widgets which don't pass up the Alt press/release remaining. If you find any let me know in a new bug.
Comment 12 Cor Nouws 2016-08-05 15:22:00 UTC
Hi
With Version: 5.3.0.0.alpha0+
Build ID: 8da4ba9be2d2deb8990f40fa0cc5d6b16d525c72
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-08-03_23:43:46
Locale: nl-NL (nl_NL.UTF-8); Calc: group


there are still no mnemonics shown in Tools > Options... and looking to commit a32c0828f6f73710d5473bc1cb093519a2a31133 that should already be included?
Comment 13 Caolán McNamara 2016-08-08 12:49:31 UTC
Well, a32c0828f6f73710d5473bc1cb093519a2a31133 lets the *dialog* know about it. So the ok/help/reset buttons get the accels. This dialog has a bare tabpage without a parent tab control. I'll add some more to get that to work too
Comment 14 Commit Notification 2016-08-08 12:51:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f25e553b91f5ed3544c580a450658cc76ffed56

Resolves: tdf#99324 let bare tabpage in dialogs get toggled auto-mnemonics

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Cor Nouws 2016-09-19 19:56:53 UTC
AFAIS, only Tools > Options > Language settings .. English sentence checking lacks mnemonics now.
Can someone please check ?
Comment 16 Yousuf Philips (jay) (retired) 2016-09-20 06:19:32 UTC
(In reply to Cor Nouws from comment #15)
> Can someone please check ?

Yes i can reproduce on sep 18th master.
Comment 17 Commit Notification 2016-10-03 11:52:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=348dcf1edb1a45027b52ba1e6f15bbf4d484a2c5

Resolves: tdf#99324 accel underlines don't appear in extension option pages

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.